import { LearningGradAlgorithm, NeuralNetwork, TrainItem, TrainReporter } from '@cross-nn/core';
export declare class BrowserAdapter {
    private workerPull;
    constructor(workerUrl: string, workerPullSize?: number);
    /**
     * Остановить все запущенные в пулле воркеры
     */
    terminate(): void;
    /**
     * Загрузить нейронную сеть из файла
     */
    loadNeuralNetwork(input: HTMLInputElement): Promise<NeuralNetwork>;
    /**
     * Сохранить нейронную сеть в файл
     */
    saveNeuralNetwork(nn: NeuralNetwork): Promise<string>;
    /**
     * Запустить обучение градиентными алгоритмами в ServiceWorker
     * @TODO требуется рефакторинг
     */
    gradAlgorithmTrainAsync(nn: NeuralNetwork, algorithmType: LearningGradAlgorithm, trainSet: TrainItem[], epochs: number, reporter?: TrainReporter): Promise<NeuralNetwork>;
    /**
     * Загрузить файл с диска
     */
    private loadFile;
}
